Bug 997629 - change EFI to use currentboot
change EFI to use currentboot
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.2
: ---
Assigned To: Raymond Mancy
tools-bugs
: Reopened
Depends On:
Blocks: 994677
  Show dependency treegraph
 
Reported: 2013-08-15 16:03 EDT by Bill Peck
Modified: 2018-02-05 19:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 20:47:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2013-08-15 16:03:18 EDT
Description of problem:

Currently to support netboot(PXE) on efi or UEFI the label must be Netboot.  Some UEFI bios's don't support changing the label making this difficult.  Worse, some use the same label for multiple NIC's making it difficult to select via label.

This patch switches the code to rely on BootCurrent which will always be Netboot if the system was doing a Netboot install.

This means the admin just needs to make sure the initial bootorder has netboot first and subsequent installs will keep it first.

Version-Release number of selected component (if applicable):
0.14.1

diff --git a/Server/bkr/server/snippets/rhts_post b/Server/bkr/server/snippets/rhts_post
index cf857a4..297d888 100644
--- a/Server/bkr/server/snippets/rhts_post
+++ b/Server/bkr/server/snippets/rhts_post
@@ -79,8 +79,7 @@ fi
 # If efibootmgr exists then re-order boot options
 if [ -x '/usr/sbin/efibootmgr' ]; then
     BOOT=$(/usr/sbin/efibootmgr -v | grep BootOrder | awk '{print $2}' | awk -F, '{print $1}')
-    EFI=$(/usr/sbin/efibootmgr -v | grep Boot$BOOT | awk '{print $NF}')
-    PXE_SLOT=$(/usr/sbin/efibootmgr -v | grep -Ei '(netboot|pxe)' |head -n 1 |cut -c5-8)
+    PXE_SLOT=$(/usr/sbin/efibootmgr -v | grep -i BootCurrent | awk '{print $2}')
     # If There is no Netboot Entry we can't continue
     # You have to manually setup a Netboot entry first
     # from EFI maint menu.
Comment 1 Bill Peck 2013-08-15 16:06:14 EDT
http://gerrit.beaker-project.org/#/c/2164/
Comment 3 Dan Callaghan 2013-08-15 19:10:24 EDT
Ah that sounds very neat, thanks Bill!
Comment 4 Raymond Mancy 2013-08-26 23:48:22 EDT
http://gerrit.beaker-project.org/#/c/2164/
Comment 8 Russ Anderson 2013-09-17 15:25:26 EDT
Any ETA as to when this fix shows up on the Beaker systems?
Comment 9 Nick Coghlan 2013-09-17 20:11:37 EDT
The upstream 0.15.0 preliminary release will happen this week. The timing of the deployment to Red Hat's primary production instance depends on how acceptance testing of the release goes next week, but if all goes well, it should be available first week of October.
Comment 10 Nick Coghlan 2013-10-02 22:30:16 EDT
Beaker 0.15 has been released.
Comment 11 Raymond Mancy 2013-10-22 21:57:10 EDT
This change has been nominated to be back ported to the 0.14 branch, to be released as part of the next maintenance release 0.14.2.
Comment 12 Nick Coghlan 2013-10-25 02:36:34 EDT
Adjusting target milestone to make the changes backported to 0.14.2 easier to identify. 0.15.0 has enough significant regressions that it shouldn't be used, so the change means that 0.15.1 can be effectively reidentified as the union of that tag and the 0.14.2 target milestone.
Comment 15 Nick Coghlan 2013-11-06 20:47:38 EST
Closing as addressed in Beaker 0.14.2.

Note You need to log in before you can comment on or make changes to this bug.